# List all test environments Use this operation to retrieves a list of all Test Environments. It returns an ArrayResponse containing TestEnvironmentResponse objects, representing the available Test Environments in the system. ### User Access Permission You must be assigned the Refresh Central Sandbox permission to run this operation. Endpoint: GET /test-environments Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. ## Response 200 fields (application/json): - `result` (array) Array of objects - `result.createTime` (string) The date and time when the Test Environment was first synced to self-service - `result.createdById` (string) The automatically generated ID of the Zuora user who created the Test Environment object Example: "58f182ab203c447b8b9cd90382da030a" - `result.dataCopyType` (string) The data copy approach for the Test Environment Enum: "FULL", "CONFIGURATION" - `result.deactivationTime` (string) The date and time when the Test Environment will be deactivated - `result.environmentType` (string) The type of tenant for the Test Environment Enum: "TEST", "ENTERPRISE", "TRIAL", "DEMO", "DEVELOPER" - `result.id` (string) The unique ID (UUID) of the Test Environment Example: "11111111-1111-1111-1111-111111111111" - `result.lastRefreshTime` (string) The date and time when the Test Environment was last refreshed - `result.nextRefreshTime` (string) The date and time when the Test Environment can be refreshed again - `result.provisionTime` (string) The date and time when the Test Environment was provisioned - `result.revenueTenantId` (string) The revenue tenant ID if a revenue sandbox is attached - `result.revenueTenantName` (string) The revenue tenant name if a revenue sandbox is attached - `result.sourceTenantId` (string) The source tenant ID from which the Test Environment was created Example: 23223 - `result.status` (string) The current status of the Test Environment Enum: "ACTIVE", "PROCESSING", "INACTIVE", "DEACTIVATED", "DELETED" - `result.tenantId` (string) The tenant ID of the Test Environment Example: 23223 - `result.tenantName` (string) The tenant name of the Test Environment - `result.updateTime` (string) The date and time when the Test Environment was last synced to self-service - `result.updatedById` (string) The automatically generated ID of the Zuora user who updated the Test Environment object Example: "58f182ab203c447b8b9cd90382da030a" - `size` (integer) ## Response 400 fields ## Response 500 fields